Description

Se renseigner sur les filtres de decimation
Commencer a definir ces modules

History

#1 - 28/08/2014 08:56 AM - paul leroy

Le design suivant a été proposé pendant un point LFR:

® 24 576 => 4096 => méme filtre que le filtre anti-repliement d'entrée mais avec éventuellement avec un ordre supplémentaire
® 24576 => 256 => CIC avec division par 16 pour arriver a une fréquence de 1536 Hz + IIR avec division par 6
e 24576 => 16 => CIC avec division par 256 pour arriver a une fréquence de 96 Hz + IIR avec division par 6

Un seul IIR serait instancié pour les voies a 256 Hz et 16 Hz

#2 - 03/09/2014 09:39 AM - paul leroy

Update aprées suppression de la Feature #31:
Pour l'implémentation du filtre sous-échantillonneur en VHDL, les recommandations sont les suivantes.

En entrée, on a un échantillonnge sur 14 bits, dont la précision est améliorée par le filtre anti-repliement (98304Hz => 24576Hz, division par 4) => la
précision passe a 15 bits [TCH].

On essaiera de gagner en précision sur les formes d'onde a 1, f2 et {3 pendant le filtrage.

24576 => 4096 => division par 6 de la fréquence, on gagne un peu plus d'un bit

4096 => 256 => division par 16, on gagne un peu plus de 3 bits

4096 => 16 => division par 256, on gagne 4 bits

Pour le canal a 16 Hz, faire le calcul sur 20 bits avec 4 bits aprés la virgule et tronquer les 4 bits de poids fort ensuite pour finir sur 16 bits.

#3 - 03/09/2014 09:40 AM - paul leroy

Update aprés la suppression de la Feature #33:

La recommandation précédente ne doit pas s'appliquer sur des signaux comportant une composante continue. Cela exclus donc les 3 signaux
électriques DC: s1, s2 et s3 (V, E1_DC et E2_DC), pour lesquels le traitement nominal prévu jusqu'alors doit s'appliquer. Si un traitement différentié
parmi les 8 voies est possible, la recommendation précédente ne doit s'appliquer que sur les 3 autres signaux concernés par le canal a 16Hz,
c-a-dire les 3 signaux magnétiques: B1, B2 et B3.

Si un tel traitement différentié n'est pas possible (pour diverses raisons ...), ne pas mettre en ceuvre la recommendation.

#4 - 03/09/2014 10:41 AM - paul leroy

- Private changed from Yes to No

#5 - 05/11/2014 10:30 AM - Jean-Christophe Pellion
- Status changed from New to In Progress

- % Done changed from 0 to 30

#6 - 21/01/2015 10:22 AM - Jean-Christophe Pellion

f0 = 24576 Hz
f1 = 4096 Hz
f2= 256 Hz
f8= 16Hz
https://hephaistos.lpp.polytechnique.fr/redmine/issues/31
https://hephaistos.lpp.polytechnique.fr/redmine/issues/33

f4 = 1536 Hz
f5= 96 Hz

HHHEHHHHEHE A
fO > [IR_DownSampler__6_f0-to-f1 > f1
f0 > CIC_DownSampler_16_f0-to-f4_and_f5 > (f4,f5) > IIR_DownSampler__6_(f4,f5)-to-(f2,f3) > (f2,f3)

HHARHHHHHE
DONE :

e CIC_DownSampler_16_f0-to-f4_and_f5

TODO :

¢ |IR_DownSampler__6_f0-to-f1 : ce filtre est une implementation du filtre IIR

¢ |IR_DownSampler__6_(f4,f5)-to-(f2,f3) : ce filtre est une modification du filtre IIR

e CIC_DownSampler_16_f0-to-f4_and_f5 avec parametre R2 : ce filtre est une modification du filtre CIC_LFR avec la prise en compte du
parametre R2

#7 - 05/02/2015 03:38 PM - Jean-Christophe Pellion
- Status changed from In Progress to Closed

- % Done changed from 30 to 100

#8 - 09/04/2015 10:27 AM - paul leroy
- Status changed from Closed to Resolved

- Assignee changed from Jean-Christophe Pellion to thomas chust

#9 - 05/06/2015 03:25 PM - thomas chust

- Status changed from Resolved to In Progress

- Assignee changed from thomas chust to Jean-Christophe Pellion
- % Done changed from 100 to 50

Jean-Christophe,

a F3 et pour les 3 composantes magnétique uniquement, c'est toujours d'actualité:

"Pour le canal a 16 Hz, faire le calcul sur 20 bits avec 4 bits a prés la virgule et tronquer les 4 bits de poids fort ensuite pour finir sur 16 bits."
